Subject: [karp] Shepherd write-up for draft-ietf-karp-isis-analysis

From: "Russ White" <[email-masked]>
Date: Mon, 11 May 2015 17:35:02 -0400

Ya'll --

Spent some time this afternoon looking through the draft, going over the
discussion on the mailing list archives, etc. Writeup below.

Russ

==
1. Summary

Document Shepherd: Russ White
Responsible AD: Alia Atlas

draft-ietf-karp-isis-analysis is an information track document designed to
provide information around security for the Intermediate System to
Intermediate System (IS-IS) routing protocol. IS-IS is used widely in large
scale networks to provide reacuability for IP, layer 2 (through the TRILL
working group), and MPLS label distribution. The document also provides
recommendations, based on the KARP design guide, to address the security
gaps discussed.

This document is information because it does not modify the IS-IS protocol.

2. Review and Consensus

I searched the KARP archives for this draft and its predecessor
(draft-chunduri-karp-is-is-gap-analysis), and found very little discussion.
The discussion points brought up during the various phases of working group
review appear to have been addressed by the authors, however. The draft did
attract interest by several people who are known experts in IS-IS, and in
general security principles, so the draft does appear to be well reviewed.

3. Intellectual Property

As this draft does not propose modifications to either the algorithms or
operation of IS-IS, there is no apparent IPR which would require disclosure.
I have checked with the authors directly to verify there is no IPR to
disclose on this draft.

4. Other Points

There are no downward references in the document. I checked the registry and
the document itself.

There are no IANA considerations in the document.

The id-nits tool shows two unused references --

  == Unused Reference: 'I-D.hartman-karp-mrkmp' is defined on line 488, but
     no explicit reference was found in the text

  == Unused Reference: 'RFC4107' is defined on line 506, but no explicit
     reference was found in the text

The first reference is actually found in section 3.2, at the bottom of the
first paragraph, but I think the ref must be formed wrong if the nits tool
is picking it up as unused. The second, RFC4107, doesn't appear to be used
any place. These need to be cleaned up before the document is published.

The shepherd stands behind this document, and thinks it is ready for
publication (outside the two nits mentioned above).

---

From: Uma Chunduri <[email-masked]>
Date: Tue, 12 May 2015 21:16:38 +0000

Thank you Russ.

I shall fix these 2 points in the next revision.

--
Uma C. 

-----Original Message-----
From: karp [mailto:[email-masked]] On Behalf Of Russ White
Sent: Monday, May 11, 2015 2:35 PM
To: [email-masked]; 'Alia Atlas'; [email-masked]; [email-masked]
Subject: [karp] Shepherd write-up for draft-ietf-karp-isis-analysis

Ya'll --

Spent some time this afternoon looking through the draft, going over the discussion on the mailing list archives, etc. Writeup below.

Russ

==
1. Summary

draft-ietf-karp-isis-analysis is an information track document designed to provide information around security for the Intermediate System to Intermediate System (IS-IS) routing protocol. IS-IS is used widely in large scale networks to provide reacuability for IP, layer 2 (through the TRILL working group), and MPLS label distribution. The document also provides recommendations, based on the KARP design guide, to address the security gaps discussed.

2. Review and Consensus

I searched the KARP archives for this draft and its predecessor (draft-chunduri-karp-is-is-gap-analysis), and found very little discussion.
The discussion points brought up during the various phases of working group review appear to have been addressed by the authors, however. The draft did attract interest by several people who are known experts in IS-IS, and in general security principles, so the draft does appear to be well reviewed.

3. Intellectual Property

As this draft does not propose modifications to either the algorithms or operation of IS-IS, there is no apparent IPR which would require disclosure.
I have checked with the authors directly to verify there is no IPR to disclose on this draft.

4. Other Points

There are no downward references in the document. I checked the registry and the document itself.

The first reference is actually found in section 3.2, at the bottom of the first paragraph, but I think the ref must be formed wrong if the nits tool is picking it up as unused. The second, RFC4107, doesn't appear to be used any place. These need to be cleaned up before the document is published.

The shepherd stands behind this document, and thinks it is ready for publication (outside the two nits mentioned above).

_______________________________________________
karp mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/karp